summaryrefslogtreecommitdiff
path: root/tests/run-all-symbols
diff options
context:
space:
mode:
authorStanislaw Wadas <s.wadas@samsung.com>2023-07-20 11:29:09 +0200
committerStanislaw Wadas <s.wadas@samsung.com>2023-07-20 11:29:09 +0200
commit6497abd1df88001eb1f45f7348534911b33d05b5 (patch)
tree6cf8220b628ebd2ccfc1375dd6516c6996e9abcc /tests/run-all-symbols
parentf7fc3bb4e50cce23dd95111b246b6e034537e2cf (diff)
downloadcryptsetup-upstream.tar.gz
cryptsetup-upstream.tar.bz2
cryptsetup-upstream.zip
Imported Upstream version 2.6.1upstream/2.6.1upstream
Diffstat (limited to 'tests/run-all-symbols')
-rwxr-xr-xtests/run-all-symbols21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/run-all-symbols b/tests/run-all-symbols
new file mode 100755
index 0000000..775d5bb
--- /dev/null
+++ b/tests/run-all-symbols
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+DIR=../.libs
+FILE=$DIR/libcryptsetup.so
+
+function fail()
+{
+ [ -n "$1" ] && echo "$1"
+ exit 2
+}
+
+function skip()
+{
+ [ -n "$1" ] && echo "$1"
+ exit 77
+}
+
+test -d $DIR || fail "Directory $DIR is missing."
+test -f $FILE || skip "WARNING: Shared $FILE is missing, test skipped."
+
+./all-symbols-test $FILE $@